Package org.eclipse.mat.internal.collectionextract

## Class WrapperFieldMapExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.WrapperMapExtractor
    - - org.eclipse.mat.internal.collectionextract.WrapperFieldMapExtractor

All Implemented Interfaces:
  `ICollectionExtractor`, `IMapExtractor`

    public class WrapperFieldMapExtractor
    extends WrapperMapExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
`WrapperFieldMapExtractor​(String field, String keyfield, String valuefield)`
`WrapperFieldMapExtractor​(String field, String keyfield, String valuefield, ICollectionExtractor extractor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `extractEntryIds​(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`Iterator<Map.Entry<IObject,​IObject>>` `extractMapEntries​(IObject coll)` Extracts the contents of a map (i.e.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.WrapperMapExtractor

`getCollisionRatio, hasCollisionRatio`

### Methods inherited from class org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.inspections.collectionextract.ICollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Constructor Detail

#### WrapperFieldMapExtractor

    public WrapperFieldMapExtractor​(String field,
                                    String keyfield,
                                    String valuefield)

#### WrapperFieldMapExtractor

    public WrapperFieldMapExtractor​(String field,
                                    String keyfield,
                                    String valuefield,
                                    ICollectionExtractor extractor)

### Method Detail

#### extractEntryIds

    public int[] extractEntryIds​(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `WrapperCollectionExtractor`
Parameters:
  `coll` - - the collection to find the objects it holds
Returns:
  an array of ints which are the object ids.
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasExtractableContents()`

#### extractMapEntries

    public Iterator<Map.Entry<IObject,​IObject>> extractMapEntries​(IObject coll)

Description copied from interface: `IMapExtractor`
Extracts the contents of a map (i.e. an IObject representing a Map) and provides an Iterator over them

Specified by:
  `extractMapEntries` in interface `IMapExtractor`
Overrides:
  `extractMapEntries` in class `WrapperMapExtractor`
Parameters:
  `coll` - - the map to extract contents from
Returns:
  an Iterator over the entries. If the original Map had an Entry object, the content of the iterator would usually be EntryObject